/*
@import url(https://fonts.googleapis.com/css?family=Ubuntu:300,400,500,700);
@import url(https://fonts.googleapis.com/css?family=Open+Sans:400,600,300);
*/
.btn-primary { 
  color: #ffffff; 
  background-color: #611BBD; 
  border-color: #130269; 
} 
 
.btn-primary:hover, 
.btn-primary:focus, 
.btn-primary:active, 
.btn-primary.active, 
.open .dropdown-toggle.btn-primary { 
  color: #ffffff; 
  background-color: #49247A; 
  border-color: #130269; 
} 
 
.btn-primary:active, 
.btn-primary.active, 
.open .dropdown-toggle.btn-primary { 
  background-image: none; 
} 
 
.btn-primary.disabled, 
.btn-primary[disabled], 
fieldset[disabled] .btn-primary, 
.btn-primary.disabled:hover, 
.btn-primary[disabled]:hover, 
fieldset[disabled] .btn-primary:hover, 
.btn-primary.disabled:focus, 
.btn-primary[disabled]:focus, 
fieldset[disabled] .btn-primary:focus, 
.btn-primary.disabled:active, 
.btn-primary[disabled]:active, 
fieldset[disabled] .btn-primary:active, 
.btn-primary.disabled.active, 
.btn-primary[disabled].active, 
fieldset[disabled] .btn-primary.active { 
  background-color: #611BBD; 
  border-color: #130269; 
} 
 
.btn-primary .badge { 
  color: #611BBD; 
  background-color: #ffffff; 
}
/*En mode debug décommanter pour que les erreurs décalent le haut*/
.navbar-fixed-top{
    top:auto;
}

/*interieur page specifique à une page*/ 
.c_invoice_new,.c_order_add,.s_order_new,.s_invoice_new{
    max-width: 600px!important;
    margin: 30px auto!important;
}

body, div, dl, dt, dd, ul, ol, li, h1, h2, h3, h4, h5, h6, pre, code, form, fieldset, legend, input, button, textarea, p, blockquote, th, td {
    margin: 0px;
    padding: 0px;}
body {   
    font-family:Arial,Helvetica,sans-serif;
    font: 14px Arial,Verdana,sans-serif;

    color:#000;
   
    
}
*:not(input):not(textarea) {
  -webkit-user-select: none; /* disable selection/Copy of UIWebView */
  -webkit-touch-callout: none; /* disable the IOS popup when long-press on a link */
}
body,html {
    height:100%;
}

#interieur_page{
    
    /*    max-width: 760px;
        padding-left: 10px;
        padding-right: 10px;
        min-width: 280px;*/
    background-color: #fff;
    /*    padding: 1.5rem;*/
    border-bottom-right-radius: 10px;
    border-bottom-left-radius: 10px;
    border-top-right-radius: 10px;
    border-top-left-radius: 10px;
}
.interieur_page a, .interieur_page a:active,.interieur_page a:visited {
    /*color: rgb(51, 51, 51);*/
    text-decoration: none;
    outline: medium none;
}

/*
 * Content
 */


/*
 * Navbar
 */

.navbar .form-control {
    padding: .75rem 1rem;
    border-width: 0;
    border-radius: 0;
}

.form-control-dark {
    color: #fff;
    background-color: rgba(255, 255, 255, .1);
    border-color: rgba(255, 255, 255, .1);
}

.form-control-dark:focus {
    border-color: transparent;
    box-shadow: 0 0 0 3px rgba(255, 255, 255, .25);
}

.liste_choix{
    overflow-y: scroll;
    max-height:60vh;
    white-space: nowrap;
}
@media (min-width: 768px) {
    .modal-xl {
        width: 90%;

    }
}
.input-group.md-form.form-sm.form-1 input{
    width:auto;
    border: 1px solid #bdbdbd;
    border-top-right-radius: 0.25rem;
    border-bottom-right-radius: 0.25rem;
}
.modal.loading .modal-content:before ,.tableau_fixe.loading .table:before {
    content: 'Wait...';
    text-align: center;
    line-height: 155px;
    font-size: 20px;
    background: rgba(0, 0, 0, .8);
    position: absolute;
    top: 55px;
    bottom: 0;
    left: 0;
    right: 0;
    color: #EEE;
    z-index: 10000;
    min-height:15rem;
}
.tableau_fixe.loading .table:before {
    margin-right:15px;
    margin-left:15px;
}
tr.active > td,td.active{
    background-color: skyblue !important;
}
.vertical-align {
    display: flex;
    align-items: center;
}
.bottom-align {
    display: flex;
    align-items: end;
}

.modal {
    overflow-y:auto;
}
input[readonly]{
    background-color:transparent !important;
    border: 0 !important;
    font-size: 1em !important;
    box-shadow:none !important;
    webkit-box-shadow: none  !important;

}
input[type="checkbox"].form-control{
    height: auto;
    width:auto;
}
#case_alert{
    position: fixed;
    z-index: 1000;
    min-width: 100%;
}

.nav-tabs {
    border-bottom: 2px solid #a42b87;
}
.nav-tabs > li.active > a, .nav-tabs > li.active > a:focus, .nav-tabs > li.active > a:hover {
    border: 2px solid #a42b87;
    border-bottom:none;
}
.nav-tabs > li {
    margin-bottom: -2px;
}
.tableau_fixe thead th { position: sticky; top: 0; background-color:#cf90c0;}
/*.selection .form-group{
    margin-bottom:3px !important;
}*/
.selection .checkbox > label{
    padding-top:12px !important;
}
input[type="checkbox"]{
    margin-top:0px !important;
}
.selection .liste_choix{
    max-height:80vh!important;
}
.yesno{
    font-weight:700;
    margin-bottom:10px;

}
.yesno_NO{
    color:red;
}
.yesno_YES{
    color:#a42b87;
}
.p-b10{
    padding-bottom:10px;
}
.p-t10{
    padding-top:10px;
}
#modal_alert{
    z-index: 2000;
}
#modal_question{
    z-index: 1500;
}
#modal_connect{
    z-index: 1550;
}
#modal_creation_compte{
    z-index: 1260;
}
.copied{
    background-color: grey!important;;
    color:beige!important;
}

/*code pour rapprocher les cases*/
.no-col-padding > [class*='col-'] {
    padding-right:0;
    padding-left:0;
}
.col-padding-small > [class*='col-'] {
    padding-right:5px;
    padding-left:5px;
}
.col-padding-small  [class*='form-control'] {
    padding-right:5px;
    padding-left:5px;
}
.col-padding-small  [class*='input-group-addon'] {
    padding-right:5px;
    padding-left:5px;
}
.etiquette {
    padding-top:24px;
}
.font-bold{
    font-weight:700;
}
.form-group{
    margin-bottom:7px;
}
.enroule{
    display:none;}

.nav-white .nav-link {
    color:rgba(255,255,255,0.7)
}

#menu>.nav-item a{
    border:none;
    margin: 1px;
}

#menu>.nav-item a:hover,#contenuMenuModification>.nav-item a:hover{
    background-color:cyan;
    border:1px solid blue;
    margin:0;

}
.bg-secondary>.nav-item a{
    border:none;
    margin: 1px;
}

.bg-secondary>.nav-item a:hover{
    background-color:grey;
    border:1px solid blue;
    margin:0;

}
.bg-bleu-degrade{
	background-image: radial-gradient(circle at center, #002b87,white);
}
.bg-rouge-degrade{
	background-image: radial-gradient(circle at center, #dc3545,white);
}
.carousel-caption-dessous{

    position:relative!important;

}

.objet_plaque{
    position:absolute;
    top:200px;
    left:0px;
    border: 1px solid transparent;


}

.ui-resizable-helper { border: 2px dotted #00F; }
.objet_actif{
    border: 1px solid #8e846b;
    background-color: rgba(255,255,255,0.5);
}



body.offcanvas-active{
    overflow:hidden;
}

.offcanvas-header{ display:none; }

.screen-darken{
    height: 100%;
    width:0%;
    z-index: 30;
    position: fixed;
    top: 0;
    right: 0;
    opacity:0;
    visibility:hidden;
    background-color: rgba(34, 34, 34, 0.6);
    transition:opacity .2s linear, visibility 0.2s, width 2s ease-in;
}

.screen-darken.active{
    z-index:10; 
    transition:opacity .3s ease, width 0s;
    opacity:1;
    width:100%;
    visibility:visible;
}

.attente {
    height: 100%;
    width:0%;
    z-index: 11;
    position: fixed;
    top: 0;
    right: 0;
    opacity:0;
    visibility:hidden;
    background-color: rgba(34, 34, 34, 0.6);
    transition:opacity .2s linear, visibility 0.2s, width 2s ease-in;
}
.attente.active{
    z-index:11000; 
    transition:opacity .3s ease, width 0s;
    opacity:1;
    width:100%;
    visibility:visible;
}
.image_forme_plaque,.objet_plaque,#interieurPlaque{
    touch-action:none;
}
#interieurPlaque{
        position:relative;
	width:inherit;
	height:inherit;
}
#plaqueComplete{
        position:relative;
	width:inherit;
	height:inherit;
}
#maPlaque{
    overflow: auto;
}
#supportPlaque{
	position:absolute;
	text-align:center;
        
}
.bottom0{
	bottom:0px;
}
.bottomPieds{
	bottom:11%;
}
#boutons_bas{
	position:fixed;
	bottom:0;
	z-index:1030;
	width:100%;

}

.cadre-miniatures{
    min-height:13rem;
    display:block;
}
.cadre-miniatures a,.cadre-miniatures a:visited,.cadre-miniatures a:hover{
    height:12rem;    
    color:#560a68;
}
.cadre-dimensions{
    
    display:block;
}
.cadre-dimensions a,.cadre-dimensions a:visited,.cadre-dimensions a:hover{
    min-height:9rem;    
    color:#560a68;
}
.image_article{
    height: inherit;
}
.bloc_tarif{
    
    padding-top: 0.3rem;
    padding-bottom: 0.3rem;
    font-size: 1rem;
    text-decoration: none;
    white-space: nowrap;
    color:#fff;
}

.toast{
    width:300px;
}
.tarif_ligne2{
    background-color: rgba(255,255,255,.65);
}
.detail_tarif td{
    padding:2px;
}
.TarifTotal{
    font-size: 1rem;
    font-weight: bold;
    border-top: 1px solid grey;
}
/*
.text-OR {
    background: url(../../images/upload/or-01.jpg) no-repeat center center;
 background-size: cover;
 color: #fff;
 -webkit-text-fill-color: transparent;
 -webkit-background-clip: text;
 -moz-background-clip:text;
 background-clip:text; 
 -webkit-text-stroke: 1px #ffaa00;

}
*/
.text-OR {
    background: url("../../images/upload/or-01.jpg") repeat;
 background-size: 2000px;
 color: #fff;
 -webkit-text-fill-color: #ffffff57;
 -webkit-background-clip: text;
 -moz-background-clip:text;
 background-clip:text; 
 
}
.text-OR2{
	color:#b89e14;
	text-shadow: 0px -1px 0px rgba(0,0,0,.5);
}
.text-BLANC{
	color:white;
	text-shadow: 0px -1px 0px rgba(0,0,0,.5);
}
.text-NOIR{
	color:black;
	text-shadow: 0px -1px 0px rgba(128,128,128,.5);
}
.text-ROUGE{
	color:#8c110b;
	text-shadow: 0px -1px 0px rgba(0,0,0,.5);
}
.text-BLEU{
	color:#29466c;
	text-shadow: 0px -1px 0px rgba(0,0,0,.5);
}
.text-JAUNE{
	text-shadow: 0px -1px 0px rgba(0,0,0,.5);
}
div.couleur-noir_zimbabwe .objet_photogravure{
	opacity:0.8!important;
}
.objet_photogravure{
	opacity:0.5;
}
.bg-noir{
	background-color: black;
}
.text-shadow-black{text-shadow: -1px 0 0.3em #000, 0 0 0.3em #000, 0 0 0.3em #000;}
.text-shadow-white{text-shadow: -1px 0 0.3em #FFF, 0 0 0.3em #FFF, 0 0 0.3em #FFF;}

.corps_deroulant{
	overflow-y:auto;
/*
	max-height:400px;
*/
}

.font-big{
	font-size:1.5rem;
}
.noir_blanc{
    filter: grayscale(100%);
    -webkit-filter: grayscale(100%);
    -moz-filter: grayscale(100%);
    -ms-filter: grayscale(100%);
    -o-filter: grayscale(100%);
}
#conteneur_photo{
	filter: drop-shadow(0px 10px 5px rgba(0,0,0,0.5));
	overflow:hidden;
}
#conteneur_photo_upload{
	filter: drop-shadow(0px 10px 5px rgba(0,0,0,0.5));
	
}
.photo_montage{
	position:relative;
}

.form-check-input {
  clear: left;
}

.form-switch.form-switch-sm {
  margin-bottom: 0.5rem; /* JUST FOR STYLING PURPOSE */
}

.form-switch.form-switch-sm .form-check-input {
  height: 1rem;
  width: calc(1rem + 0.75rem);
  border-radius: 2rem;
}

.form-switch.form-switch-md {
  margin-bottom: 1rem; /* JUST FOR STYLING PURPOSE */
}

.form-switch.form-switch-md .form-check-input {
  height: 1.5rem;
  width: calc(2rem + 0.75rem);
  border-radius: 3rem;
}

.form-switch.form-switch-lg {
  margin-bottom: 1.5rem; /* JUST FOR STYLING PURPOSE */
}

.form-switch.form-switch-lg .form-check-input {
  height: 2rem;
  width: calc(3rem + 0.75rem);
  border-radius: 4rem;
}

.form-switch.form-switch-xl {
  margin-bottom: 2rem; /* JUST FOR STYLING PURPOSE */
}

.form-switch.form-switch-xl .form-check-input {
  height: 2.5rem;
  width: calc(4rem + 0.75rem);
  border-radius: 5rem;
}

.ohnohoney{
        opacity: 0;
        position: absolute;
        top: 0;
        left: 0;
        height: 0;
        width: 0;
        z-index: -1;
    }

    #menuModification{
    
/*
        overflow-x:unset!important;
        overflow-y:unset!important;
*/
    
    }
    .lead li{
    padding-left:3rem;
    list-style: none; 
	padding-top: 1rem;
    }
    .lead b{
		color: #8a1888;
		font-size: 1.5rem;
		font-weight: bold;
}
/*
.card-img-top {
    width: 100%;
    height: 15vw;
    object-fit: cover;
}
*/

.tb_balance{
	max-height:100vh!important;
}
/* ============ desktop view ============ */
@media all and (min-width: 991px) {

    .offcanvas-header{ display:block; }
    #menuCreation{
        width:400px;
        visibility: visible!important;
        transform: translateX(0)!important;
    }
    #menuModification{
        max-width:600px;
    }

    .mobile-offcanvas{
        visibility: hidden;
        transform:translateX(-100%);
        border-radius:0; 
        display:block;
        position: fixed;
        top: 53px; left:0;
        bottom:0px;
        height: auto;
        z-index: 1200;
        
        overflow-y: auto;
        overflow-x: hidden;
        transition: visibility .3s ease-in-out, transform .3s ease-in-out;
    }

    .mobile-offcanvas.show{
        visibility: visible;
        transform: translateX(0);
    }
    .mobile-offcanvas .container, .mobile-offcanvas .container-fluid{
        display: block;
    }
    #maPlaque{
        position: fixed;
        left: 420px;
        top:63px;        
        display: block;
        touch-action:none;

    }

    .offcanvas-header .btn-close{display:none;}

	#boutons_bas{
	right:0;
		padding-left:400px;

	}
}	
/* Autocomplete */

ul.bs-autocomplete-menu {
  position: absolute;
  top: 0;
  left: 0;
  width: 100%;
  max-height: 200px;
  overflow: auto;
  z-index: 9999;
  border: 1px solid #eeeeee;
  border-radius: 4px;
  background-color: #fff;
  box-shadow: 0px 1px 6px 1px rgba(0, 0, 0, 0.4);
}

ul.bs-autocomplete-menu a {
  font-weight: normal;
  color: #333333;
}

.ui-helper-hidden-accessible {
  border: 0;
  clip: rect(0 0 0 0);
  height: 1px;
  margin: -1px;
  overflow: hidden;
  padding: 0;
  position: absolute;
  width: 1px;
}

.ui-state-active,
.ui-state-focus {
  color: #23527c;
  background-color: #eeeeee;
}

.bs-autocomplete-feedback {
  width: 1.5em;
  height: 1.5em;
  overflow: hidden;
  margin-top: .5em;
  margin-right: .5em;
}

.loader {
  font-size: 10px;
  text-indent: -9999em;
  width: 1.5em;
  height: 1.5em;
  border-radius: 50%;
  background: #333;
  background: -moz-linear-gradient(left, #333333 10%, rgba(255, 255, 255, 0) 42%);
  background: -webkit-linear-gradient(left, #333333 10%, rgba(255, 255, 255, 0) 42%);
  background: -o-linear-gradient(left, #333333 10%, rgba(255, 255, 255, 0) 42%);
  background: -ms-linear-gradient(left, #333333 10%, rgba(255, 255, 255, 0) 42%);
  background: linear-gradient(to right, #333333 10%, rgba(255, 255, 255, 0) 42%);
  position: relative;
  -webkit-animation: load3 1.4s infinite linear;
  animation: load3 1.4s infinite linear;
  -webkit-transform: translateZ(0);
  -ms-transform: translateZ(0);
  transform: translateZ(0);
}

.loader:before {
  width: 50%;
  height: 50%;
  background: #333;
  border-radius: 100% 0 0 0;
  position: absolute;
  top: 0;
  left: 0;
  content: '';
}

.loader:after {
  background: #fff;
  width: 75%;
  height: 75%;
  border-radius: 50%;
  content: '';
  margin: auto;
  position: absolute;
  top: 0;
  left: 0;
  bottom: 0;
  right: 0;
}

@-webkit-keyframes load3 {
  0% {
    -webkit-transform: rotate(0deg);
    transform: rotate(0deg);
  }
  100% {
    -webkit-transform: rotate(360deg);
    transform: rotate(360deg);
  }
}

@keyframes load3 {
  0% {
    -webkit-transform: rotate(0deg);
    transform: rotate(0deg);
  }
  100% {
    -webkit-transform: rotate(360deg);
    transform: rotate(360deg);
  }
}

/* ============ desktop view .end// ============ */


/* ============ mobile view ============ */
@media all and (max-width: 991px) {
    #menuCreation{
        max-width:350px;
    }
    .offcanvas-header{ display:block; }

    .mobile-offcanvas{
        visibility: hidden;
        transform:translateX(-100%);
        border-radius:0; 
        display:block;
        position: fixed;
        top: 0; left:0;
        height: 100%;
        z-index: 1200;
        width:80%;
        overflow-y: scroll;
        overflow-x: hidden;
        transition: visibility .3s ease-in-out, transform .3s ease-in-out;
    }

    .mobile-offcanvas.show{
        visibility: visible;
        transform: translateX(0);
    }
    .mobile-offcanvas .container, .mobile-offcanvas .container-fluid{
        display: block;
    }

	
	#boutons_bas{
	right:0;
	left:0;
	
	}
}
/* ============ mobile view .end// ============ */


w-90{
    width:90%!important;
}
w-80{
    width:80%!important;
}
w-85{
    width:85%!important;
}
w-95{
    width:95%!important;
}
w-70{
    width:70%!important;
}
w-65{
    width:65%!important;
}
w-60{
    width:60%!important;
}
w-55{
    width:55%!important;
}


    .zoomInOn, .zoomInOff, .zoomOutOn, .zoomOutOff
    {
       width:34px;
       height:34px;
       display:block;
       position:fixed;
       -webkit-user-select: none;
       -moz-user-select: none;
       -ms-user-select: none;
       user-select: none;
       z-index:10000;
    }
     
    .zoomInOn, .zoomInOff
    {
       background-image:url(../../images/boutons/zoom_in.png);
       bottom:183px;
       right:15px;
    }
     
    .zoomOutOn, .zoomOutOff
    {
       background-image:url(../../images/boutons/zoom_out.png);
       bottom:140px;
       right:15px;
    }
     
    .zoomInOn, .zoomOutOn
    {
       opacity:1;
       cursor:pointer;
    }
     
    .zoomInOff, .zoomOutOff
    {
       opacity:0.3;
       cursor:auto;
    }

#navbarPetit{  
       width:40px;
       height:40px;
       display:none;
       position:fixed;
       -webkit-user-select: none;
       -moz-user-select: none;
       -ms-user-select: none;
       user-select: none;
       
       top:10px;
       right:15px;
       opacity:0.5;
       cursor:auto;
    }
    #menu_haut{
        display:block;
        z-index:1220;
    }

.zoom_image {
	overflow:hidden;
}
.zoom_image img {
    width: 100%;
    height: 300;
    transition: all 1s ease-in-out;
}

.zoom_image:hover img {
    transform: scale(1.5, 1.5);
    cursor: pointer;
}

/* ============ desktop view ============ */
@media all and (max-height: 400px) {
    #menu_haut{
        display:none;
    }
	#navbarPetit{
		display:block!important;
	}
}

/*=====================Polices===============*/
@font-face {
	font-family: TIMESPFV;
	src: url(../../fonts/site/TimesPFV2.ttf)  format('truetype');
}
@font-face {
	font-family: ARIAL;
	src: url(../../fonts/site/arial.ttf)  format('truetype');
}
@font-face {
	font-family: ARIALGRAS;
	src: url(../../fonts/site/ariblk.ttf)  format('truetype');
}
@font-face {
	font-family: BANFF;
	src: url(../../fonts/site/banffn.TTF)  format('truetype');
}
@font-face {
	font-family: ENGLISH157;
	src: url(../../fonts/site/engl157n.TTF)  format('truetype');
}
@font-face {
	font-family: PHYLISS;
	src: url(../../fonts/site/PHYLLISN.TTF)  format('truetype');
}
@font-face {
	font-family: TECHNICAL;
	src: url(../../fonts/site/technicn.TTF)  format('truetype');
}
@font-face {
	font-family: VIVALDI;
	src: url(../../fonts/site/vivaldin.TTF)  format('truetype');
}

@font-face {
	font-family: TIMESITALIQUE;
	src: url(../../fonts/site/timesbi.ttf)  format('truetype');
}
@font-face {
	font-family: ARIALITALIQUE;
	src: url(../../fonts/site/arialbi.ttf)  format('truetype');
}
@font-face {
	font-family: BRITANIC;
	src: url(../../fonts/site/BRITANIC.TTF)  format('truetype');
}
@font-face {
	font-family: ZAP;
	src: url(../../fonts/site/ZAFCHAM.TTF)  format('truetype');
}
@font-face {
	font-family: COMERCIALSCRIPT;
	src: url(../../fonts/site/comsc.ttf)  format('truetype');
}
@font-face {
	font-family: CHANCERY;
	src: url(../../fonts/site/BLKCHCRY.TTF)  format('truetype');
}
@font-face {
	font-family: BALLON;
	src: url(../../fonts/site/balonb.ttf)  format('truetype');
}
@font-face {
	font-family: ARRONDI;
	src: url(../../fonts/site/ArialRB.ttf)  format('truetype');
}



